#!/bin/bash

# updated by WIPAT 2555-03-12
# updated by WIBOON 2556-07-10

exitusage()
{
  echo "usage: sudo sh $0 groupname"
  exit 
}

if [ -z "$(id -nG|grep -w "root")" ] ; then
  echo "need root, or try: sudo sh $0"
  exit
fi
if [ "$1" = "--help" ] ; then
  exitusage
fi
if [ -z "$1" ] ; then
  echo "need groupname"
  exitusage 
fi

MYGROUP=$1
GROUP_DIR="/sftp/share/${MYGROUP}"
sudo groupadd ${MYGROUP}
sudo mkdir -p ${GROUP_DIR}
sudo chgrp -Rv ${MYGROUP} ${GROUP_DIR}
sudo chmod  g+rws,o-rwx ${GROUP_DIR}

