#!/bin/bash

# updated by WIPAT 2555-02-27
# updated by WIBOON 2556-04-17

exitusage()
{
  echo "usage: sudo sh $0 username"
  exit 
}

if [ -z "$(id -nG|grep -w "root")" ] ; then
  echo "need root, or try: sudo sh $0"
  exit
fi
if [ "$1" = "--help" ] ; then
  exitusage
fi
if [ -z "$1" ] ; then
  echo "need username"
  exitusage 
fi

MYUSER=$1
HOME_WWW_RESTRICT="/var/www/noname"
HOME_WWW_PUBLIC="/var/www/ishare"
if [ -z "$(getent passwd ${MYUSER})" ] ; then
  echo "username does not exist"
  exit
fi
sudo userdel -r ${MYUSER} 
#
if [ -d ${HOME_WWW_RESTRICT}/${MYUSER} ] ; then
  sudo rm ${HOME_WWW_RESTRICT}/${MYUSER}
fi
if [ -d ${HOME_WWW_PUBLIC}/${MYUSER} ] ; then
  sudo rm ${HOME_WWW_PUBLIC}/${MYUSER}
fi
echo "${MYUSER} deleted"

